Subject: bug#21909: Segfault with eigen in R

From: Kyle Meyer <[email-masked]>
Date: Wed, 18 Nov 2015 19:37:12 -0500

Ricardo Wurmus <[email-masked]> writes:

> Kyle Meyer <[email-masked]> writes:
>
>> With R 3.2.2 built from r in statistics.scm (guix 0.9.0), I'm seeing a
>> segfault when eigen is called with a matrix over some size.  I can
>> trigger the error with the following code [1]:
>>
>>     > M <- 50
>>     > N <- 500
>>     > eigen(crossprod(matrix(rnorm(M * N), M, N)))
>>
>>      *** caught segfault ***
>>     address 0xfb0, cause 'memory not mapped'
>>
>>     Traceback:
>>      1: eigen(crossprod(matrix(rnorm(M * N), M, N)))
>>
>> Can others reproduce this?
>
> I can reproduce this running R 3.2.2 on GuixSD on a x86_64 machine.

I haven't had any luck resolving this aside from just using R's internal
BLAS by removing "--with-blas=openblas" and "--with-lapack" from the
configure flags.

--
Kyle